> ## Documentation Index
> Fetch the complete documentation index at: https://pixelcut.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Try On Job Status (Beta)

> **BETA** - This endpoint is currently in beta and may change without notice.<br/><br/>
Checks the status of a Try On job.
When using the Try On API with wait_for_result set to false, it returns a job ID. This endpoint allows you to check the status of that job and retrieve the final result when processing is complete.




## OpenAPI

````yaml GET /v1/try-on/job/{jobId}
openapi: 3.1.0
info:
  description: >-
    The Pixelcut API specification, learn more about the API at at
    https://www.pixelcut.ai/docs
  version: 0.0.2
  title: Pixelcut API
  termsOfService: >-
    https://pixelcut.notion.site/Pixelcut-API-Terms-of-Service-11b3b550490080d89a91e943d010efdf
  contact:
    name: API Support
    email: api@pixelcut.ai
servers:
  - url: https://api.developer.pixelcut.ai
    description: Pixelcut API server
security: []
paths:
  /v1/try-on/job/{jobId}:
    get:
      tags:
        - Endpoints
      summary: Try On Job Status (Beta)
      description: >
        **BETA** - This endpoint is currently in beta and may change without
        notice.<br/><br/>

        Checks the status of a Try On job.

        When using the Try On API with wait_for_result set to false, it returns
        a job ID. This endpoint allows you to check the status of that job and
        retrieve the final result when processing is complete.
      operationId: try-on-job-status
      parameters:
        - name: jobId
          in: path
          required: true
          schema:
            type: string
          description: The ID of the job to check
      responses:
        '200':
          description: Job status retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    description: The ID of the job
                    example: 6ba7b810-9dad-11d1-80b4-00c04fd430c8
                  status:
                    type: string
                    description: The current status of the job
                    enum:
                      - pending
                      - running
                      - completed
                      - failed
                    example: completed
                  result_url:
                    type: string
                    description: >-
                      A URL to access the resultant image, only present when
                      status is 'completed'
                    example: >-
                      https://assets.pixelcut.app/public/result/a16646be-91c8-4e3a-b359.jpg
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: A description of the error.
                        example: Job processing failed
                      error_code:
                        type: string
                        enum:
                          - invalid_parameter
                          - content_filter_error
                          - request_timeout
                          - job_expired
                          - job_cancelled
                          - unexpected_error
                          - service_unavailable
                        example: content_filter_error
                        description: >
                          The error codes provide a way to programmatically
                          handle errors.  


                          The following error codes are currently in use:  

                          - `invalid_parameter`: The request contained invalid
                          parameters.

                          - `content_filter_error`: The content was flagged by
                          our content filter.

                          - `request_timeout`: The request timed out while
                          processing.

                          - `job_expired`: The job has expired and is no longer
                          available.

                          - `job_cancelled`: The job was cancelled.

                          - `unexpected_error`: An unexpected error occurred
                          during processing.

                          - `service_unavailable`: The service is temporarily
                          unavailable.
        '400':
          $ref: '#/components/responses/Error400'
        '401':
          $ref: '#/components/responses/Error401'
        '404':
          $ref: '#/components/responses/Error404'
        '429':
          $ref: '#/components/responses/Error429'
        '500':
          $ref: '#/components/responses/Error500'
      security:
        - ApiKeyAuth: []
components:
  responses:
    Error400:
      description: >-
        The input could not be processed, often returned when the input image
        exceeds API limits.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                description: A description of the error.
                example: File size too large
              error_code:
                type: string
                enum:
                  - invalid_request_body
                  - missing_parameter
                  - invalid_parameter
                  - unsupported_content_type
                  - malformed_image
                  - unsupported_image_format
                  - file_size_too_large
                  - resolution_too_high
                  - unknown_foreground
                example: file_size_too_large
                description: >
                  The error codes provide a way to programmatically handle
                  errors.  


                  The following error codes are currently in use:  

                  - `invalid_request_body`: The request body was empty or
                  invalid.

                  - `missing_parameter`: A required parameter was not provided.

                  - `invalid_parameter`: A parameter was provided but it was
                  invalid.

                  - `unsupported_content_type`: The content type of the request
                  was not application/json or multipart/form-data.

                  - `malformed_image`: The image could not be decoded.

                  - `unsupported_image_format`: The image format is not
                  supported.

                  - `file_size_too_large`: The image file size is too large.

                  - `resolution_too_high`: The image resolution is too high.

                  - `unknown_foreground`: The foreground subject of the image
                  could not be detected.
    Error401:
      description: The authentication token is missing or invalid.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: API Token not found
              error_code:
                type: string
                enum:
                  - invalid_auth_token
    Error404:
      description: Job not found
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Job not found
              error_code:
                type: string
                enum:
                  - not_found
    Error429:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Too many requests
              error_code:
                type: string
                enum:
                  - rate_limit_exceeded
    Error500:
      description: Internal service error
  securitySchemes:
    ApiKeyAuth:
      description: >
        All API requests require a valid api key. Include your token as a HTTP
        request header in the following format: `X-API-Key: skXXXXXXXXXXXXXXXX`.
        You can obtain an api key by signing up for developer access in your
        Pixelcut account.
      type: apiKey
      name: X-API-KEY
      in: header

````